Files
Create container file
post /containers/{container_id}/files
Create a Container File
You can send either a multipart/form-data request with the raw file content, or a JSON request with a file ID.
Path Parameters
container_id: string
Body Parameters
-
file: optional stringThe File object (not file name) to be uploaded.
-
file_id: optional stringName of the file to create.
Returns
-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
Example
curl https://api.openai.com/v1/containers/$CONTAINER_ID/files \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{}'
Response
{
"id": "id",
"bytes": 0,
"container_id": "container_id",
"created_at": 0,
"object": "object",
"path": "path",
"source": "source"
}
Example
curl https://api.openai.com/v1/containers/cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04/files \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F file="@example.txt"
Response
{
"id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
"object": "container.file",
"created_at": 1747848842,
"bytes": 880,
"container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
"path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
"source": "user"
}
Delete a container file
delete /containers/{container_id}/files/{file_id}
Delete Container File
Path Parameters
-
container_id: string -
file_id: string
Example
curl https://api.openai.com/v1/containers/$CONTAINER_ID/files/$FILE_ID \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
Example
curl -X DELETE https://api.openai.com/v1/containers/cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863/files/cfile_682e0e8a43c88191a7978f477a09bdf5 \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
"object": "container.file.deleted",
"deleted": true
}
List container files
get /containers/{container_id}/files
List Container files
Path Parameters
container_id: string
Query Parameters
-
after: optional stringA cursor for use in pagination.
afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list. -
limit: optional numberA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
-
order: optional "asc" or "desc"Sort order by the
created_attimestamp of the objects.ascfor ascending order anddescfor descending order.-
"asc" -
"desc"
-
Returns
-
data: array of object { id, bytes, container_id, 4 more }A list of container files.
-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
-
-
first_id: stringThe ID of the first file in the list.
-
has_more: booleanWhether there are more files available.
-
last_id: stringThe ID of the last file in the list.
-
object: "list"The type of object returned, must be 'list'.
"list"
Example
curl https://api.openai.com/v1/containers/$CONTAINER_ID/files \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"bytes": 0,
"container_id": "container_id",
"created_at": 0,
"object": "object",
"path": "path",
"source": "source"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}
Example
curl https://api.openai.com/v1/containers/cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04/files \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"object": "list",
"data": [
{
"id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
"object": "container.file",
"created_at": 1747848842,
"bytes": 880,
"container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
"path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
"source": "user"
}
],
"first_id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
"has_more": false,
"last_id": "cfile_682e0e8a43c88191a7978f477a09bdf5"
}
Retrieve container file
get /containers/{container_id}/files/{file_id}
Retrieve Container File
Path Parameters
-
container_id: string -
file_id: string
Returns
-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
Example
curl https://api.openai.com/v1/containers/$CONTAINER_ID/files/$FILE_ID \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"bytes": 0,
"container_id": "container_id",
"created_at": 0,
"object": "object",
"path": "path",
"source": "source"
}
Example
curl https://api.openai.com/v1/containers/container_123/files/file_456 \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
"object": "container.file",
"created_at": 1747848842,
"bytes": 880,
"container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
"path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
"source": "user"
}
Domain Types
File Create Response
-
FileCreateResponse object { id, bytes, container_id, 4 more }-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
-
File List Response
-
FileListResponse object { id, bytes, container_id, 4 more }-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
-
File Retrieve Response
-
FileRetrieveResponse object { id, bytes, container_id, 4 more }-
id: stringUnique identifier for the file.
-
bytes: numberSize of the file in bytes.
-
container_id: stringThe container this file belongs to.
-
created_at: numberUnix timestamp (in seconds) when the file was created.
-
object: stringThe type of this object (
container.file). -
path: stringPath of the file in the container.
-
source: stringSource of the file (e.g.,
user,assistant).
-
Content
Retrieve container file content
get /containers/{container_id}/files/{file_id}/content
Retrieve Container File Content
Path Parameters
-
container_id: string -
file_id: string
Example
curl https://api.openai.com/v1/containers/$CONTAINER_ID/files/$FILE_ID/content \
-H "Authorization: Bearer $OPENAI_API_KEY"
Example
curl https://api.openai.com/v1/containers/container_123/files/cfile_456/content \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
<binary content of the file>